"""
Silique (https://www.silique.fr)
Copyright (C) 2024-2025

This program is free software: you can redistribute it and/or modify it
under the terms of the GNU Lesser General Public License as published by the
Free Software Foundation, either version 3 of the License, or (at your
option) any later version.

This program is distributed in the hope that it will be useful, but WITHOUT
ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS
FOR A PARTICULAR PURPOSE.  See the GNU Lesser General Public License for more
details.

You should have received a copy of the GNU Lesser General Public License
along with this program.  If not, see <http://www.gnu.org/licenses/>.
"""

from .github import Formater as GFormater


class Formater(GFormater):
    """The console formater"""

    name = "console"
    level = 10
    enter_table = "\n"
    remove_multiple_enter = True

    def header(self):
        """Header of the documentation"""
        return ""

    def run(self, dico: dict, level: int) -> str:
        msg = super().run(dico, level)
        from rich.console import Console
        from rich.markdown import Markdown

        console = Console()

        markdown = Markdown(msg)
        with console.capture() as capture:
            console.print(markdown)
        return capture.get()

    def link(
        self,
        comment: str,
        link: str,
    ) -> str:
        """Add a link"""
        return self.prop(comment, False)
