---
gitea: none
include_toc: true
---
# dictionaries/rougail/00-base.yml

```yaml
---
version: '1.1'
var1:
  description: a suffix variable
  multi: true
  mandatory: false
  test:
    - val1
    - val2
dyn{{ identifier }}:
  description: a dynamic family
  dynamic:
    variable: _.var1
  family:  # a family
    var:  # with a variable
var2:
  description: a second variable
  mandatory: false
  default:
    jinja: |
      {% if _.dynval1 is defined %}
      {{ _.dynval1.family.var }}
      {% endif %}
    description: the value of var
```
# Example with mandatory variables not filled in

```yaml
---
rougail:
  dynval1:
    family:
      var: example
  dynval2:
    family:
      var: example
```
# Example with all variables modifiable

```yaml
---
rougail:
  var1:
    - val1
    - val2
  dynval1:
    family:
      var: example
  dynval2:
    family:
      var: example
  var2: example
```
